Page MenuHomePhabricator

No ORES jobs are running since deployment of 1.28.0-wmf.20
Closed, ResolvedPublic

Description

The ORES jobs are no more running:

2016-09-23T09:40:11+0000 ERROR: Runner loop 0 process in slot 19 gave status '0':*
 json_decode() error (4): Syntax error: @todo more info
terbium:~$ mwscript extensions/ORES/maintenance/PopulateDatabase.php --wiki=enwiki
Processing 50 revisions
Catchable fatal error: Argument 2 passed to ORES\Cache::processRevision() must be an instance of ORES\int, integer given, called in /srv/mediawiki/php-1.28.0-wmf.20/extensions/ORES/includes/Cache.php on line 37 and defined in /srv/mediawiki/php-1.28.0-wmf.20/extensions/ORES/includes/Cache.php on line 116

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 23 2016, 9:44 AM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes, Aklapper. · View Herald Transcript

Change 312491 had a related patch set uploaded (by Ladsgroup):
No int typehinting

https://gerrit.wikimedia.org/r/312491

Change 312491 merged by jenkins-bot:
No int typehinting

https://gerrit.wikimedia.org/r/312491

hashar renamed this task from No ORES jobs in the last 10 hours to No ORES jobs are running since deployment of 1.28.0-wmf.20.Sep 23 2016, 9:48 AM
hashar updated the task description. (Show Details)

Change 312493 had a related patch set uploaded (by Ladsgroup):
No int typehinting

https://gerrit.wikimedia.org/r/312493

Change 312493 merged by jenkins-bot:
No int typehinting

https://gerrit.wikimedia.org/r/312493

hashar added a subscriber: hashar.Sep 23 2016, 9:53 AM

It is not detected because jobs are not monitored, the same happened last week T146090

Adding monitoring/alarming is T140942

Mentioned in SAL (#wikimedia-operations) [2016-09-23T09:58:31Z] <hashar@tin> Synchronized php-1.28.0-wmf.20/extensions/ORES/includes/Cache.php: No int typehinting (causes jobs to crash) T146461 (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2016-09-23T10:05:36Z] <Amir1> ladsgroup@terbium:~$ mwscript extensions/ORES/maintenance/PopulateDatabase.php --wiki=wikidatawiki (T146461) and for 'trwiki', 'plwiki', 'fawiki', 'nlwiki', 'ruwiki', 'ptwiki'

Ladsgroup closed this task as Resolved.Sep 23 2016, 11:06 AM
Ladsgroup moved this task from Active to Done on the Scoring-platform-team (Current) board.
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Oct 11 2016, 11:28 AM